Bug 227622 - Unable to pass argument to sa-update
Unable to pass argument to sa-update
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: spamassassin (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Warren Togami
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-02-06 23:38 EST by Milan Kerslager
Modified: 2008-05-06 15:10 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 15:10:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Milan Kerslager 2007-02-06 23:38:13 EST
As there is a standartized cron script now to utilize sa-update, please allow
pass arguments to this command. Use /etc/sysconfig/spamassassin to set
$SAUPDATEOPT, and use this in /usr/share/spamassassin/sa-update.cron:

[...]
if [ -f /etc/sysconfig/spamassassin ]; then
        . /etc/sysconfig/spamassassin
fi
/usr/bin/sa-update $SAUPDATEOPT

These argument are necessary to be able to alter sa-update default behaviour.

Also I dislike output (echo commands with mailing to root by cron daemon) in
this file even there is no (error) output. Please remove it along with tee
commad and redirection of output in the file /etc/cron.d/sa-update. Unix-like
style is to report nothing when there is no error.

There is also a possibility to add -D (--debug [area=n,...]) argument to the
sa-update to get output mailed if one need it.

Thank you.
Comment 1 Warren Togami 2007-02-19 13:47:02 EST
I have since silenced it so it no longer generates mail.

What regular use case is there to have options to sa-update? 

Debug is not a good case, because you can just add it manually to the script and
watch it temporarily during your debugging.
Comment 2 Jason Tibbitts 2007-02-19 13:51:26 EST
I'd say the configuration of alternate or additional channels is a reasonable
use case.
Comment 3 Milan Kerslager 2007-02-19 15:18:30 EST
Yes. That's it. Thank you a lot.
Comment 4 Bug Zapper 2008-04-04 02:07:26 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 5 Bug Zapper 2008-05-06 15:10:41 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.